package com.starry.admin.modules.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.starry.admin.modules.system.mapper.SysLoginLogMapper;
import com.starry.admin.modules.system.module.entity.SysLoginLogEntity;
import com.starry.admin.modules.system.module.entity.SysLoginLogVo;
import com.starry.admin.modules.system.service.ISysLoginLogService;
import java.util.Arrays;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * 系统访问日志表Service业务层处理
 *
 * @author admin
 */
@Service
public class SysLoginLogServiceImpl extends ServiceImpl<SysLoginLogMapper, SysLoginLogEntity>
        implements
            ISysLoginLogService {
    @Resource
    private SysLoginLogMapper xlLoginLogMapper;

    /**
     * 查询系统访问日志表
     *
     * @param loginId
     *            系统访问日志表主键
     * @return 系统访问日志表
     */
    @Override
    public SysLoginLogEntity selectXlLoginLogByLoginId(Long loginId) {
        return xlLoginLogMapper.selectXlLoginLogByLoginId(loginId);
    }

    /**
     * 查询系统访问日志表列表
     *
     * @param vo
     *            系统访问日志表
     * @return 系统访问日志表
     */
    @Override
    public IPage<SysLoginLogEntity> selectXlLoginLogList(SysLoginLogVo vo) {
        return xlLoginLogMapper.selectXlLoginLogList(new Page<>(vo.getPageNum(), vo.getPageSize()), vo);
    }

    /**
     * 新增系统访问日志表
     *
     * @param sysLoginLogEntity
     *            系统访问日志表
     * @return 结果
     */
    @Override
    public boolean create(SysLoginLogEntity sysLoginLogEntity) {
        return save(sysLoginLogEntity);
    }

    /**
     * 修改系统访问日志表
     *
     * @param sysLoginLogEntity
     *            系统访问日志表
     * @return 结果
     */
    @Override
    public boolean update(SysLoginLogEntity sysLoginLogEntity) {
        return updateById(sysLoginLogEntity);
    }

    /**
     * 批量删除系统访问日志表
     *
     * @param loginIds
     *            需要删除的系统访问日志表主键
     * @return 结果
     */
    @Override
    public int deleteXlLoginLogByLoginIds(Long[] loginIds) {
        return xlLoginLogMapper.deleteBatchIds(Arrays.asList(loginIds));
    }

    /**
     * 删除系统访问日志表信息
     *
     * @param loginId
     *            系统访问日志表主键
     * @return 结果
     */
    @Override
    public int deleteXlLoginLogByLoginId(Long loginId) {
        return xlLoginLogMapper.deleteById(loginId);
    }

    @Override
    public void cleanLoginlog() {
        xlLoginLogMapper.cleanLoginlog();
    }
}
